/*
 * AST.h
 *
 *  Created on: Nov 4, 2012
 *      Author: attero
 */

#ifndef AST_H_
#define AST_H_
#include "ASTNode.h"

class AST {
public:
	AST();
	ASTNode * root;
	ASTNode * current_node;
	int number_of_nodes;
	int level_of_depth;
	void delete_all_children();
	ASTNode * add_node(ASTNode * node);
	virtual ~AST();
};

#endif /* AST_H_ */
